Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.list
Class AbstractLinkedList.LinkedSubList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.apache.commons.collections.list.AbstractLinkedList.LinkedSubList

All Implemented Interfaces:
  Collection, List

Enclosing class:
  AbstractLinkedList

protected static class AbstractLinkedList.LinkedSubList
extends AbstractList

The sublist implementation for AbstractLinkedList.

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` | `AbstractLinkedList.LinkedSubList(AbstractLinkedList parent, int fromIndex, int toIndex)`

Method Summary
`void` | `add(int index, Object obj)`
`boolean` | `addAll(Collection coll)`
`boolean` | `addAll(int index, Collection coll)`
`protected void` | `checkModCount()`
`void` | `clear()`
`Object` | `get(int index)`
`Iterator` | `iterator()`
`ListIterator` | `listIterator(int index)`
`protected void` | `rangeCheck(int index, int beyond)`
`Object` | `remove(int index)`
`Object` | `set(int index, Object obj)`
`int` | `size()`
`List` | `subList(int fromIndexInclusive, int toIndexExclusive)`

Methods inherited from class java.util.AbstractList
`add, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange`

Methods inherited from class java.util.AbstractCollection
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### AbstractLinkedList.LinkedSubList

    protected AbstractLinkedList.LinkedSubList(AbstractLinkedList parent,
                                               int fromIndex,
                                               int toIndex)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### add

    public void add(int index,
                    Object obj)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractList`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractList`

### addAll

    public boolean addAll(Collection coll)

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `AbstractCollection`

### addAll

    public boolean addAll(int index,
                          Collection coll)

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `AbstractList`

### set

    public Object set(int index,
                      Object obj)

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `AbstractList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `List`
  Overrides:
    `clear` in class `AbstractList`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `List`
  Overrides:
    `iterator` in class `AbstractList`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`
  Overrides:
    `listIterator` in class `AbstractList`

### subList

    public List subList(int fromIndexInclusive,
                        int toIndexExclusive)

  Specified by:
    `subList` in interface `List`
  Overrides:
    `subList` in class `AbstractList`

### rangeCheck

    protected void rangeCheck(int index,
                              int beyond)

### checkModCount

    protected void checkModCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.